
<!DOCTYPE html>
<html lang="en">
<head>
  <meta charset="utf-8">
  <meta name="viewport" content="width=device-width, initial-scale=1.0">
  <title>iOS开发的UI制作中动态和静态单元格的基本使用教程_IOS / iVAN</title>

    <meta name="description" content="iOS开发的UI制作中动态和静态单元格的基本使用教程_IOS 静态单元格的使用 一.实现效果与说明 说明:观察上面的展示效果,可以发现整个界面是由一个tableview来展示的,上面的数据都是固定的,且几乎不会改变. 要完成上面的效果,有几种方法: (1)可以直接利用代码,返回三组,在判断每组有多少行,展示些什么数据,这样写&quot;死&quot;的代码建议绝不要使用. (2)稍微灵活一些的,可以把plist文件一懒加载的方式,加载到程序中,动态获取.但是观察界面结构,很容易看出这样需要进行模型嵌套,很麻烦. (3)storyboard提供了静态单元格这 ...">
  

  <!-- <link rel="shortcut icon" href="/favicon.png"> -->  
  <link href="https://pic.ikafan.com/staticx/iamivan/2/assets/css/bootstrap.css" rel="stylesheet">
  <link href="https://pic.ikafan.com/staticx/iamivan/2/assets/css/style.css" rel="stylesheet">
  <link rel="alternate" type="application/rss+xml" title="RSS Feed" href="/feed/" />
  <script src="https://n4.ikafan.com/g/show.js"></script>
  <!-- HTML5 shim and Respond.js IE8 support of HTML5 elements and media queries -->
  <!--[if lt IE 9]>
  <script src="/assets/js/html5shiv.js"></script>
  <script src="/assets/js/respond.min.js"></script>
  <![endif]-->
  <script>
  var _hmt = _hmt || [];
  (function() {
    var hm = document.createElement("script");
    hm.src = "https://hm.baidu.com/hm.js?c61d51e9fdcf1d1631ddfce8df9cd119";
    var s = document.getElementsByTagName("script")[0]; 
    s.parentNode.insertBefore(hm, s);
  })();
  </script>
 
</head>

<body>

  <div class="wrapper">

    <header id="header" class="container">
    
      <div id="logo">
        <a href="/"><img src="https://pic.ikafan.com/staticx/iamivan/2/assets/logo.png" title="" /></a>
      </div><!-- /logo -->

      <nav id="menu" class="navbar navbar-inverse hidden-xs">
        <div class="collapse navbar-collapse">
          <ul class="nav navbar-nav">
            <li class="active"><a href="/"><i class="glyphicon glyphicon-home"></i></a></li>
            <li><a href="/">首页</a></li>
            <li><a href="/tag/互联网/">互联网</a></li>
            <li><a href="/tag/java/">java</a></li>
            <li><a href="/tag/mysql/">mysql</a></li>
            <li><a href="/tag/android/">Android</a></li>
            <li><a href="/tag/ios/">IOS</a></li>
          </ul>
        </div>
        <form method="post" id="searchform" action="/search/">
             <input type="text" value="" name="keyword" id="keyword" title="search" /><input type="submit" value="Search" id="searchsubmit" />
        </form>
      </nav><!-- /nav -->

    </header>
    <!-- /header -->


    
    <div class="container">
      <div class="row">    <div id="main" class="col-md-8">


<h1 class="mtitle">iOS开发的UI制作中动态和静态单元格的基本使用教程_IOS</h1>
<div id="single_top"></div>
<script>insertAdIfNeeded();</script>

    	<section>
		<article class="clearfix">
		<p><strong>静态单元格的使用<br />
一、实现效果与说明<br /></strong></p>
<p><img src="/assets/blank.gif" data-echo="//pic.ikafan.com/imgp/L3Byb3h5L2h0dHBzL3l1bnFpLXRlY2gub3NzLWNuLWhhbmd6aG91LmFsaXl1bmNzLmNvbS8yMDE1MTIxNjkzOTUwNzU4LnBuZw==.jpg"></p>
<p>说明：观察上面的展示效果，可以发现整个界面是由一个tableview来展示的，上面的数据都是固定的，且几乎不会改变。</p>
<p>要完成上面的效果，有几种方法：</p>
<p>（1）可以直接利用代码，返回三组，在判断每组有多少行，展示些什么数据，这样写“死”的代码建议绝不要使用。</p>
<p>（2）稍微灵活一些的，可以把plist文件一懒加载的方式，加载到程序中，动态获取。但是观察界面结构，很容易看出这样需要进行模型嵌套，很麻烦。</p>
<p>（3）storyboard提供了静态单元格这个功能，可以很方便的完成上面的界面展示效果。（提示：在实际的开发中很少这样使用）</p>
<p><strong>二、使用静态单元格完成简单界面展示的过程</strong></p>
<p>在类似的开发中，如果整个界面都是tableview，那么直接让控制器继承自UItableviewcontroller.</p>
<p>修改主控制器，让其继承自UItableviewcontroller</p>
<p><img src="/assets/blank.gif" data-echo="//pic.ikafan.com/imgp/L3Byb3h5L2h0dHBzL3l1bnFpLXRlY2gub3NzLWNuLWhhbmd6aG91LmFsaXl1bmNzLmNvbS8yMDE1MTIxNjk0MDI1NDMzLnBuZw==.jpg"></p>
<p>把storyboard中默认的uiview删掉，直接拖一个viewcontroller</p>
<p><img src="/assets/blank.gif" data-echo="//pic.ikafan.com/imgp/L3Byb3h5L2h0dHBzL3l1bnFpLXRlY2gub3NzLWNuLWhhbmd6aG91LmFsaXl1bmNzLmNvbS8yMDE1MTIxNjk0MDQ5MzQyLnBuZw==.jpg"></p>
<p>当拖入一个viewcontroller的时候，它上面默认就会有一个cell,默认情况下，这个cell是动态的，也就是默认是看不见的。</p>
<p>把cell设置成静态的，在属性面板的content  中设置为static cell（静态cell）所见即所得  注意必须更改这里的这个属性。</p>
<p><img src="/assets/blank.gif" data-echo="//pic.ikafan.com/imgp/L3Byb3h5L2h0dHBzL3l1bnFpLXRlY2gub3NzLWNuLWhhbmd6aG91LmFsaXl1bmNzLmNvbS8yMDE1MTIxNjk0MTA4MDIyLnBuZw==.jpg"></p>
<p>让它和主控制器关联</p>
<p><img src="/assets/blank.gif" data-echo="//pic.ikafan.com/imgp/L3Byb3h5L2h0dHBzL3l1bnFpLXRlY2gub3NzLWNuLWhhbmd6aG91LmFsaXl1bmNzLmNvbS8yMDE1MTIxNjk0MTI2NDAwLnBuZw==.jpg"></p>
<p>接下来，可以依次设置显示的图片和文字。</p>
<p>设置标题有两种方式：</p>
<p>1是双击更改</p>
<p><img src="/assets/blank.gif" data-echo="//pic.ikafan.com/imgp/L3Byb3h5L2h0dHBzL3l1bnFpLXRlY2gub3NzLWNuLWhhbmd6aG91LmFsaXl1bmNzLmNvbS8yMDE1MTIxNjk0MTUyNjIyLnBuZw==.jpg"></p>
<p>2是点击子控件  lable修改</p>
<p><img src="/assets/blank.gif" data-echo="//pic.ikafan.com/imgp/L3Byb3h5L2h0dHBzL3l1bnFpLXRlY2gub3NzLWNuLWhhbmd6aG91LmFsaXl1bmNzLmNvbS8yMDE1MTIxNjk0MjA3OTIxLnBuZw==.jpg"></p>
<p>按照界面需要，设置辅助视图</p>
<p><img src="/assets/blank.gif" data-echo="//pic.ikafan.com/imgp/L3Byb3h5L2h0dHBzL3l1bnFpLXRlY2gub3NzLWNuLWhhbmd6aG91LmFsaXl1bmNzLmNvbS8yMDE1MTIxNjk0MjI0MDcwLnBuZw==.jpg"></p>
<p>设置有多少组，每组有多少行。<br />
设置组：<br />
点击tableview   设置属性面板的sections属性。</p>
<p><img src="/assets/blank.gif" data-echo="//pic.ikafan.com/imgp/L3Byb3h5L2h0dHBzL3l1bnFpLXRlY2gub3NzLWNuLWhhbmd6aG91LmFsaXl1bmNzLmNvbS8yMDE1MTIxNjk0MjQzMjgwLnBuZw==.jpg"></p>
<p>设置每组多少行：</p>
<p><img src="/assets/blank.gif" data-echo="//pic.ikafan.com/imgp/L3Byb3h5L2h0dHBzL3l1bnFpLXRlY2gub3NzLWNuLWhhbmd6aG91LmFsaXl1bmNzLmNvbS8yMDE1MTIxNjk0MzAwMzAzLnBuZw==.jpg"></p>
<p>小技巧：如果写的单元格千年不变，那么可以先写一组中的一行，再拷贝，稍作修改即可。<br />
注意：静态单元格是实际开发中，很少用到，此处只当知识点介绍。</p>
<p><strong>在UITableview的应用中使用动态单元格来完成app应用程序管理界面的搭建<br />
一、实现效果<br /></strong></p>
<p><img src="/assets/blank.gif" data-echo="//pic.ikafan.com/imgp/L3Byb3h5L2h0dHBzL3l1bnFpLXRlY2gub3NzLWNuLWhhbmd6aG91LmFsaXl1bmNzLmNvbS8yMDE1MTIxNjk0MzE4MDU1LnBuZw==.jpg"></p>
<p>说明：该示例在storyboard中使用动态单元格来完成。</p>
<p><strong>二、实现</strong></p>
<p>1.项目文件结构和plist文件</p>
<p><img src="/assets/blank.gif" data-echo="//pic.ikafan.com/imgp/L3Byb3h5L2h0dHBzL3l1bnFpLXRlY2gub3NzLWNuLWhhbmd6aG91LmFsaXl1bmNzLmNvbS8yMDE1MTIxNjk0MzMzMzU3LnBuZw==.jpg"></p>
<p>2.实现过程以及代码</p>
<p><img src="/assets/blank.gif" data-echo="//pic.ikafan.com/imgp/L3Byb3h5L2h0dHBzL3l1bnFpLXRlY2gub3NzLWNuLWhhbmd6aG91LmFsaXl1bmNzLmNvbS8yMDE1MTIxNjk0MzUxMTQ0LnBuZw==.jpg"></p>
<p>在tableview的属性选择器中选择动态单元格。</p>
<p><img src="/assets/blank.gif" data-echo="//pic.ikafan.com/imgp/L3Byb3h5L2h0dHBzL3l1bnFpLXRlY2gub3NzLWNuLWhhbmd6aG91LmFsaXl1bmNzLmNvbS8yMDE1MTIxNjk0NDA3NTA1LnBuZw==.jpg"></p>
<p>说明：在storyboard中直接使用其自带的动态单元格完成tableviewcell的定义，并创建了一个管理该cell的类，进行了连线。</p>
<p>实现代码：</p>
<p>数据模型部分：</p>
<p>YYappInfo.h文件</p>
<p><u>复制代码</u> 代码如下:</p>
<p>//<br />
//  YYappInfo.h<br />
//  01-使用动态单元格来完成app应用程序管理界面的搭建<br />
//<br />
//  Created by 孔医己 on 14-6-2.<br />
//  Copyright (c) 2014年 itcast. All rights reserved.<br />
//<br />
<br />#import &lt;Foundation/Foundation.h&gt;</p>
<p>@interface YYappInfo : NSObject<br />
@property(nonatomic,copy)NSString *size;<br />
@property(nonatomic,copy)NSString *download;<br />
@property(nonatomic,copy)NSString *icon;<br />
@property(nonatomic,copy)NSString *name;</p>
<p>-(instancetype)initWithDict:(NSDictionary *)dict;<br />
+(instancetype)appInfoWithDict:(NSDictionary *)dict;<br />
@end</p>
<p>YYappInfo.m文件</p>
<p><u>复制代码</u> 代码如下:</p>
<p>//<br />
//  YYappInfo.m<br />
//  01-使用动态单元格来完成app应用程序管理界面的搭建<br />
//<br />
//  Created by 孔医己 on 14-6-2.<br />
//  Copyright (c) 2014年 itcast. All rights reserved.<br />
//<br />
<br />#import "YYappInfo.h"</p>
<p>@implementation YYappInfo</p>
<p>-(instancetype)initWithDict:(NSDictionary *)dict<br />
{<br />
    if (self=[super init]) {<br />
        //使用KVC<br />
        [self setValuesForKeysWithDictionary:dict];<br />
    }<br />
    return self;<br />
}</p>
<p>+(instancetype)appInfoWithDict:(NSDictionary *)dict<br />
{</p>
<p>    return [[self alloc]initWithDict:dict];<br />
}<br />
@end</p>
<p>视图部分<br />
<br /> YYappCell.h文件</p>
<p><u>复制代码</u> 代码如下:</p>
<p>//<br />
//  YYappCell.h<br />
//  01-使用动态单元格来完成app应用程序管理界面的搭建<br />
//<br />
//  Created by 孔医己 on 14-6-2.<br />
//  Copyright (c) 2014年 itcast. All rights reserved.<br />
//<br />
<br />#import &lt;UIKit/UIKit.h&gt;</p>
<p>@class YYappInfo,YYappCell;</p>
<p>@protocol YYappCellDelegate &lt;NSObject&gt;<br />
-(void)btnDidClick:(YYappCell *)cell;</p>
<p>@end<br />
@interface YYappCell : UITableViewCell</p>
<p>@property(nonatomic,strong)YYappInfo *app;<br /><a>//@property(nonatomic,strong)YYViewController</a> *controller;<br />
@property(nonatomic,strong)id &lt;YYappCellDelegate&gt; delegate;</p>
<p>@end</p>
<p>YYappCell.m文件</p>
<p><u>复制代码</u> 代码如下:</p>
<p>//<br />
//  YYappCell.m<br />
//  01-使用动态单元格来完成app应用程序管理界面的搭建<br />
//<br />
//  Created by 孔医己 on 14-6-2.<br />
//  Copyright (c) 2014年 itcast. All rights reserved.<br />
//<br />
<br />#import "YYappCell.h"<br />
#import "YYappInfo.h"</p>
<p>@interface YYappCell ()<br />
@property (weak, nonatomic) IBOutlet UIImageView *appimg;</p>
<p>@property (weak, nonatomic) IBOutlet UILabel *apptitle;<br />
@property (weak, nonatomic) IBOutlet UILabel *appdownload;<br />
@property (weak, nonatomic) IBOutlet UIButton *appbtn;</p>
<p>@end</p>
<p><u>复制代码</u> 代码如下:</p>
<p>@implementation YYappCell<br />
<br />-(void)setApp:(YYappInfo *)app<br />
{<br />
    _app=app;<br />
    self.apptitle.text=_app.name;<br />
    self.appdownload.text=[NSString stringWithFormat:@"大小 %@ | 下载量 %@次",_app.size,_app.download];<br />
    self.appimg.image=[UIImage imageNamed:_app.icon];<br />
    <br />
}</p>
<p>#pragma mark- 完成按钮点击事件</p>
<p>- (IBAction)btnOnclick:(UIButton *)sender<br />
{<br />
    //按钮被点击后，变为不可用状态<br />
    sender.enabled=NO;<br />
    <br />
    //通知代理，完成提示下载已经完成的动画效果<br />
    if ([self.delegate respondsToSelector:@selector(btnDidClick:)]) {<br />
        //一般而言，谁触发就把谁传过去<br />
        [self.delegate  btnDidClick:self];<br />
    }<br />
}</p>
<p>@end</p>
<p>主控制器<br />
<br />YYViewController.m文件</p>
<p><u>复制代码</u> 代码如下:</p>
<p>//<br />
//  YYViewController.m<br />
//  01-使用动态单元格来完成app应用程序管理界面的搭建<br />
//<br />
//  Created by 孔医己 on 14-6-2.<br />
//  Copyright (c) 2014年 itcast. All rights reserved.<br />
//<br />
<br />#import "YYViewController.h"<br />
#import "YYappInfo.h"<br />
#import "YYappCell.h"</p>
<p>@interface YYViewController ()&lt;UITableViewDataSource,YYappCellDelegate&gt;<br />
@property(nonatomic,strong)NSArray *apps;<br />
@property (strong, nonatomic) IBOutlet UITableView *tableview;</p>
<p>@end</p>
<p><u>复制代码</u> 代码如下:</p>
<p>@implementation YYViewController<br />
<br />- (void)viewDidLoad<br />
{<br />
    [super viewDidLoad];<br />
}</p>
<p>#pragma mark- 使用懒加载先把plist文件中得数据加载进来<br />
-(NSArray *)apps<br />
{<br />
    if (_apps==Nil) {<br />
        NSString *fullpath=[[NSBundle mainBundle]pathForResource:@"apps_full.plist" ofType:Nil];<br />
        NSArray *arrayM=[NSArray arrayWithContentsOfFile:fullpath];<br />
        <br />
        NSMutableArray *modles=[NSMutableArray arrayWithCapacity:arrayM.count];<br />
        for (NSDictionary *dict in arrayM) {<br />
            YYappInfo *appinfo=[YYappInfo appInfoWithDict:dict];<br />
            [modles addObject:appinfo];<br />
        }<br />
        _apps=[modles copy];<br />
    }<br />
    return _apps;<br />
}</p>
<p>#pragma mark- 设置tableview的数据源方法<br />
//组<br />
-(NSInteger)numberOfSectionsInTableView:(UITableView *)tableView<br />
{<br />
    return 1;<br />
}<br />
//行<br />
-(NSInteger)tableView:(UITableView *)tableView numberOfRowsInSection:(NSInteger)section<br />
{<br />
    return self.apps.count;<br />
}<br />
//组-行-数据<br />
-(UITableViewCell *)tableView:(UITableView *)tableView cellForRowAtIndexPath:(NSIndexPath *)indexPath<br />
{<br />
    //创建cell<br />
    static NSString *identifier=@"app";<br />
    YYappCell *cell=[tableView dequeueReusableCellWithIdentifier:identifier];<br />
    //设置cell的数据<br />
    YYappInfo *appinfo=self.apps[indexPath.row];<br />
    //设置代理<br />
    cell.delegate=self;<br />
    cell.app=appinfo;<br />
    //返回cell<br />
    return cell;<br />
}</p>
<p>#pragma mark- 设置代理<br />
-(void)btnDidClick:(YYappCell *)cell<br />
{<br />
    //取出模型<br />
    YYappInfo *app=cell.app;<br />
    NSLog(@"daili");<br />
    UILabel *lab=[[UILabel alloc]init];<br />
    //提示的显示位置<br />
    lab.frame=CGRectMake(60, 300, 200, 20);<br />
    //设置提示文本<br />
    lab.text=[NSString stringWithFormat:@"%@已经下载完成",app.name];<br />
    //设置文本背景颜色<br />
    [lab setBackgroundColor:[UIColor grayColor]];<br />
    [self.view addSubview:lab];<br />
    lab.alpha=1.0;<br />
    <br />
    //设置动画效果<br />
    [UIView animateWithDuration:2.0 animations:^{<br />
        lab.alpha=0.0;<br />
    } completion:^(BOOL finished) {<br />
        //把弹出的提示信息从父视图中删除<br />
        [lab removeFromSuperview];<br />
    }];<br />
}</p>
<p>#pragma mark-隐藏状态栏<br />
-(BOOL)prefersStatusBarHidden<br />
{<br />
    return YES;<br />
}</p>
<p>@end</p>
<p>补充说明<br />
<br />　　在程序中通过标示符取出对应的cell，是因为在storyboard中已经对cell打上了标示符（app）的标签。</p>
<p><u>复制代码</u> 代码如下:</p>
<p>//组-行-数据<br />
-(UITableViewCell *)tableView:(UITableView *)tableView cellForRowAtIndexPath:(NSIndexPath *)indexPath<br />
{<br />
    //创建cell<br />
    static NSString *identifier=@"app";<br />
    YYappCell *cell=[tableView dequeueReusableCellWithIdentifier:identifier];<br />
    //设置cell的数据<br />
    YYappInfo *appinfo=self.apps[indexPath.row];<br />
    //设置代理<br />
    cell.delegate=self;<br />
    cell.app=appinfo;<br />
    //返回cell<br />
    return cell;<br />
}</p>
<p><img src="/assets/blank.gif" data-echo="//pic.ikafan.com/imgp/L3Byb3h5L2h0dHBzL3l1bnFpLXRlY2gub3NzLWNuLWhhbmd6aG91LmFsaXl1bmNzLmNvbS8yMDE1MTIxNjk0NDI5MTkxLnBuZw==.jpg"></p>				<div id="single_bottom"></div>
<script>insertAdIfNeeded();</script>
				<div id="time"><strong>时间：</strong> 2024-03-05 06:26:50</div>
		
		</article>

		<!-- social network share -->

<!-- 		<div id="tags">
            <strong>Tags:</strong> <a href="https://www.iamivan.net/tag/ios/" title="ios">ios</a>, <a href="https://www.iamivan.net/tag/%e5%8d%95%e5%85%83%e6%a0%bc/" title="单元格">单元格</a>        </div> -->
	</section>
	
	

		<div id="similar">

		<h3>iOS开发的UI制作中动态和静态单元格的基本使用教程_IOS的相关文章</h3>

								<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/p5AjZqp.html" rel="bookmark">Excel中锁定单元格并设置密码动画教程</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				&lt;Excel2003入门动画教程41.Excel中锁定单元格并加密&gt;. 演示动画 操作步骤 当多人编辑同一个工作簿文档时,为了防止修改由他人负责填写的数据,我们可以对工作表进行分区域加密. 启动Excel,打开相应的工作簿文档,执行&quot;工具→保护→允许用户编辑区域&quot;命令,打开&quot;允许用户编辑区域&quot;对话框. 单击其中的&quot;新建&quot;按钮,打开&quot;新区域&quot;对话框,在&quot;标题&quot;下面的方框中输入一个标题(如&quot			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/pL7mVZM.html" rel="bookmark">滑动-jquery easy ui 的 DataGrid 的单元格中添加 ProgressBar 进度条</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				问题描述 jquery easy ui 的 DataGrid 的单元格中添加 ProgressBar 进度条 jquery easy ui 的 DataGrid 的单元格中添加 ProgressBar 进度条 只显示百分比 没有进度条,而且数数据过多 滑动纵坐标的滚动条时,进度条列不随着方向滑动			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/p8Ykgoz.html" rel="bookmark">ios开发-ios，怎么让没有内容的单元格不显示？</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				问题描述 ios,怎么让没有内容的单元格不显示? 我写了个tableview.就加载一条数据,下面显示了很多行,我也设置了有多少行了.怎么能让那些没有内容的行不显示,或者隐藏分割线? 解决方案 设置tableview的footerview为:[[uiview alloc] initwithframe:cgrectzeor] 解决方案二: 中如果没有内容,怎么该单元格的边框就没了,要怎么才能显示边框 解决方案三: self.tableView.tableFooterView = [[UIView			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/pd6JqAb.html" rel="bookmark">Win7下wps表格中禁止单元格输入重复数值的设置方法</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				  Wps是一款办公软件,一些用户需要经常使用wps制作一些数据资料,比如学号.员工编号等,而这些数据都有着不能重复的特点,那么要如何禁止在wps的表格中输入重复数值呢?其实只要简单设置一下就可以了,下面跟大家带来Win7下在wps表格中禁止单元格输入重复数值的设置方法如下. 1.首先我们打开win7系统下WPS软件表格软件,并新建一个表格.   2.选中需要输入数值的行或列,在此小编以选择B列为例进行讲解.大家可以根据自己的表格输入的需要进行选择.   3.选择后点击&quot;重复项&quot;;  			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/aM1EdjM.html" rel="bookmark">Excel中合并单元格中快速添加序号的方法</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				  Excel中合并单元格中快速添加序号的方法          如下图所示,需要在数据的A列加入序号: 如果我们利用传统的拖动填充方式添加序号,系统会弹出这样的提示:&quot;此操作要求合并单元格都具有相同大小&quot; 即不能对数据源格式进行修改,又不能用常规方法添加序号,怎么办呢? 要手工逐个的填写吗? 答案是否定的,如果数据量太大的话,我们不可能一个一个去手工添加吧. 这里给大家介绍一个简单的方法. 首先,选中要添加序号的单元格: 编辑栏输入公式: =MAX($A$1:A1)+1 注意关键的一			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/M62YQJM.html" rel="bookmark">Excel中的单元格引用</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				Excel中的工作表(Worksheet)是由一系列行和列组成的二维表,当我们在使用Excel创建应用程序(例如编写VBA代码),或者创建一个复杂的Excel应用(例如公式.数据透视表.统计图表等)时,需要引用独立的Excel单元格(称之为Cell)或单元格区域(称之为Range),详细了解各种不同单元格或单元格区域的引用和设置方式是非常重要的,这将有助于改善我们的操作习惯或编程方式,从而提高工作效率. 两种单元格引用方式 可能有许多用户并不是特别清楚,在Excel中,有两种单元格引用方式:A1			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/MNEdWob.html" rel="bookmark">在Word 2007表格中选中单元格</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				选中特定单元格是Word2007表格的基本操作,在设置单元格格式等操作时首 先需要选中单元格.在Word2007中选中单元格的方法如下所述: 打开Word2007文档窗口,将鼠标指针移动到准备选中的单元格内部左侧位置 .当鼠标指针呈黑色箭头形状时,单击鼠标左键即可选中当前单元格.如果在鼠 标指针呈黑色箭头形状时拖动鼠标,则可以选中连续多个单元格,如图 2009010808所示. 图2009010808 选中单元格 用户还可以在单击准备选中的单元格后,在&quot;表格工具&quot;功能区 的&quot;			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/zZO6x6b.html" rel="bookmark">Excel中合并单元格的几种方法及合并单元格快捷键</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				  Excel中合并单元格的几种方法及合并单元格快捷键          如下图所示,希望将A1到E1,这之间所有单元格合并成一个大单元格操作方法如下: 合并单元格方法一:利用格式菜单上的&quot;合并及居中&quot;按钮合并单元格 ①首先,选中A1.B1.C1.D1.E1这些单元格; ②然后单击&quot;格式&quot;工具栏上面的&quot;合并及居中&quot;按钮; 此时,这几个单元格就已经合并成了一个大单元格了,是不是很简单呀. 合并单元格方法二:利用&quot;设置单元格格式&quot;			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/pnxr9Ob.html" rel="bookmark">怎么修改WPS表格中的单元格网格线颜色</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				  怎么修改WPS表格中的单元格网格线颜色 1.打开工作簿,单击&quot;WPS表格-选项&quot;按钮,如下图所示. 2.弹出&quot;选项&quot;对话框,在&quot;视图&quot;选项中设置&quot;网格线颜色&quot;,选的是&quot;红色&quot;,然后单击&quot;确定&quot;,如下图. 3.确定后,线条颜色就改成了红色,挺好看的,如下效果图.			</div>
		</article>
	</section>
	
	</div><!-- /related -->
	


</div>
<!-- /main -->


<aside class="col-md-4">



	<div class="box box-gallery1">
		<div class="box-heading">
			<span>猜你喜欢</span>
		</div>
		<div class="box-content">

									<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/OM9jd3p.html" rel="bookmark" class="title">用户体验中巧妙的过场动画</a>
					<div>
						  (Adrian Zumbrunnen著 Judithzhu &amp; Lynnwang译 查看原文 转载请注明出处MXD) 一些网页优于其他网页,不仅仅是因为它们的内容.可用程度.设计或是特色等 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/xpnm4AM.html" rel="bookmark" class="title">网站设计师参考&colon;8个Web设计趋势</a>
					<div>
						文章描述:Web设计的8个趋势. 本文译自网站设计公司weavora.com,介绍了在他们眼里8个Web设计趋势:单页面.用照片做背景.色块设计.超大号的图片.聚焦简洁.响应式设计.视差滚动.强调字体 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/2pLW2WM.html" rel="bookmark" class="title">ＰＨＰ如何统计在线人数</a>
					<div>
						统计|在线|在线人数 在论坛里有人问我如何统计在线人数?我也不知道什么是最好的方法.下面是本站的实现的原理,我把它写出来,供大家参考.这只是我的方法,肯定不是最好的,还希望高手们予以指正. 其实,要真 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/7b2ERkz.html" rel="bookmark" class="title">在 WinForm 中完整支持在多级目录中保存的 ASP&period;NET</a>
					<div>
						asp.net 大概半年前曾写过一个在 WinForm 程序中嵌入 ASP.NET 的简单例子,&lt;在WinForm程序中嵌入ASP.NET&gt;.因为是试验性质的工作,所以当时偷懒直接使用系统 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/M623ZYM.html" rel="bookmark" class="title">Visual C&plus;&plus; 8&period;0对象布局的奥秘：虚函数、多继承、虚拟继承</a>
					<div>
						从MS Visual C++ Team的Andy Rich那里又偷学到一招:VC8的隐含编译项/d1reportSingleClassLayout和/d1reportAllClassLayout .看 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/MrKvoVp.html" rel="bookmark" class="title">Outlook 2007打不开怎么处理</a>
					<div>
						Outlook2007打不开,提示:无法打开默认电子邮件文件夹.出现意外错误. Outlook无法打开默认电子邮件文件夹.MAPI无法加载信息服务mspst.dll.EMSMDB32.DLL.解决方法 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/b2y0dBz.html" rel="bookmark" class="title">QQ五笔输入法文本中每行记录遵循的格式是什么</a>
					<div>
						  QQ五笔输入法文本中每行记录遵循的格式如下: [编码]词[ 词][ 词] ... [词n]rn []内的内容为可选项目,编码为个a-y之间的任一字母,多个词之间以空格分隔.如果编码为有效编码,词中 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/z4wlWJp.html" rel="bookmark" class="title">Win8关机方法集锦</a>
					<div>
						第一种:最常见的关机法 将鼠标移至桌面左上角或右上角,桌面右侧会出现菜单,从中点击&quot;设置&quot;,在设置页面下方会出现一个电源按钮.点击该电源按钮,会出现&quot;睡眠&quot;.& ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/zJZ754z.html" rel="bookmark" class="title">页面排版学习笔记</a>
					<div>
						  排版是什么? 排版是将文字.图片等元素在版面调整,使版面布局条理化的过程.一般来说,透过来版,让人们更容易的去阅读.接受这些提供给他们的资讯. 为什么要提供良好的排版? 一个良好的资讯传递需要几个 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/pP8Onrp.html" rel="bookmark" class="title">PS婚片调色教程</a>
					<div>
						首先是认真解读Photoshop中有关色彩构成理论,先把色彩构成的理论基础打牢实了,再拿一些典型示范作练习,有了这个基础后,就好办了. 色彩既是客观世界的反映,但又是主观世界的感受.某种色调一些人会棒 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/ze7PejM.html" rel="bookmark" class="title">win7系统电脑玩大型网游时很卡的解决方法</a>
					<div>
						  win7系统电脑玩大型网游时很卡的解决方法.对于网游玩家来讲,都希望能够有一个流程的网速,这样玩网游的心情也有有所提高,但是一些win7 64位旗舰版用户玩大型网游时很卡,让人感到很烦恼,每次玩网 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/pdE7yNz.html" rel="bookmark" class="title">JavaScript两种跨域技术全面介绍&lowbar;javascript技巧</a>
					<div>
						这一策略对于JavaScript代码能够访问的页面内容做了很重要的限制,即JavaScript只能访问与包含它的文档在同一域下的内容. JavaScript这个安全策略在进行多iframe或多窗口编程 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/M9Y4m4M.html" rel="bookmark" class="title">snort服务启动后居然几秒钟后自动停止！</a>
					<div>
						问题描述 辛辛苦苦安装配置了snort,终于可以启动snort服务了,结果又出现这样的问题!手动启动后马上又自动停止!配置:VistaHomeBasicSnort_2_8_5_1_Installer事 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/pkwrkwp.html" rel="bookmark" class="title">Kubernetes Docker-in-Docker存储注意事项</a>
					<div>
						本文讲的是Kubernetes Docker-in-Docker存储注意事项[译者的话]本文介绍了基于Kubernetes运行Docker-in-Docker在存储方面应该注意的事项,介绍了Argo这 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/MYj60lp.html" rel="bookmark" class="title">Clojure - 基本语法</a>
					<div>
						Installing Clojure Clojure is an open-source project hosted at github.com. git clone https://github. ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/MW2kneb.html" rel="bookmark" class="title">图片-myeclipse&period;求大牛们救命&excl;</a>
					<div>
						问题描述 myeclipse.求大牛们救命! 这个是啥情况啊?求大神帮助! 解决方案 http://zhidao.baidu.com/question/195505558.html 解决方案二: 运行 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/pmKXyDb.html" rel="bookmark" class="title">如何成为一个伟大的开发者（一）</a>
					<div>
						作者简介:Peter Nixey,Ruby on Rails程序员,前计算机视觉学者.企业家,Clickpass公司CEO,YC孵化器的企业规划导师,Brojure公司CTO. 作为一个开发者,最关心 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/zOmqjqM.html" rel="bookmark" class="title">Chrome太费电 谷歌说新版本有办法解决</a>
					<div>
						Chrome 用户一定都明白,无论是在 Mac 还是在 PC 上,这款浏览器的体验都是喜忧参半的:Chrome 的渲染性能几乎是浏览器中最好的,插件系统也最完善,可是内存泄漏和耗电过大的问题却对笔记本 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/z7Z7B5p.html" rel="bookmark" class="title">向服务器发送请求-有关于网络回拨的源码</a>
					<div>
						问题描述 有关于网络回拨的源码 拨打方发起呼叫,云通讯系统平台接收,然后系统给拨打方和被叫方拨打电话,建立通行.拨打方到最后变成了接听 解决方案 htk网络和解码源码(二.声学模型)--------- ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/zDn8WXM.html" rel="bookmark" class="title">c&num;winform图文混排-C&num; winform程序图文混排文章的添加、删除、编辑、展示</a>
					<div>
						问题描述 C# winform程序图文混排文章的添加.删除.编辑.展示 有一个winform程序需要添加图文混排文章,文章来源于word,使用什么方式可以进行文章添加,并如何取出文章内容,通过何种形式 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/MNngBPM.html" rel="bookmark" class="title">天猫、京东双十一数据再创新高，狂欢背后的理性在何处？</a>
					<div>
						--无意外的, 今年的双十一又一次刷新了数据.尽管心里有所准备,但是小编还是被这数- 发布:2016/11/11 11:24:00 |作者: 华强电子网 |来源: 互联网 TAG:双11 无意外的,  ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/zGrjylp.html" rel="bookmark" class="title">租车练手旅游&OpenCurlyDoubleQuote;庆功&rdquo;</a>
					<div>
						6月18日,位于眉山闹市区的杭州北路上发生一起盗窃案:有人采用专业手段撬开路边一辆奥迪A6轿车的后备厢,盗走35万元巨款. 昨日,成都商报记者从眉山市公安局东坡区公安分局获悉,该案已于6月27日告破, ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/M9jYmKp.html" rel="bookmark" class="title">C&num; 调用web Service时 需要Basic身份认证</a>
					<div>
						问题描述 现在有一个局域网的WebService,在IE中打开时需要用户名和密码,输入后可以看到XML.我把WebService以添加WebReference的方式添加到WindowsService项 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/MvYW5Wb.html" rel="bookmark" class="title">如何编写健壮的Bash脚本&lpar;经验分享&rpar;&lowbar;linux shell</a>
					<div>
						shell脚本在运行异常时会受到非常大的影响. 本文介绍一些让bash脚本变得健壮的技术. 使用set -u 因为没有对变量初始化而使脚本崩溃过多少次?对于我来说,很多次.chroot=$1...rm ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/MvYPdAb.html" rel="bookmark" class="title">jQuery中DOM操作实例分析&lowbar;jquery</a>
					<div>
						本文实例讲述了jQuery中DOM操作的方法.分享给大家供大家参考.具体分析如下: 这里主要设计的dom操作包括:dom对象的创建(JS方式和jquery方式).属性的修改.样式的修改.动态绑定事件  ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/pn8GOkb.html" rel="bookmark" class="title">请教：IOS 怎么导入历史聊天记录</a>
					<div>
						问题描述 用IOS demo举例:APP重装或者换另一个手机登陆之后 历史聊天记录就没有了,是因为聊天记录是保存到本地沙箱数据库中,我现在需要解决的问题是重装APP或者换手机登陆之后能保证聊天记录存在 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/p8NyE9b.html" rel="bookmark" class="title">请教swt操作打开excel后，在非swt打不开excel文件了</a>
					<div>
						问题描述 在eclipse中使用org.eclipse.swt.ole.win32.OLE来操作excel,然后在SWT外部就不能打开excel文件了请教如何规避这个问题,谢谢 解决方案 解决方案二: ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/pXKlqyM.html" rel="bookmark" class="title">mysql-MySQL数据库运用本地API连接方法</a>
					<div>
						问题描述 MySQL数据库运用本地API连接方法 我想运用本地API 驱动连接MySQL数据库,但网上资料好少,求大神指导与分享相关资料,跪谢! 解决方案 R连接MySQL数据库方法					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/M9NNBVp.html" rel="bookmark" class="title">给公司部门设计的SOA架构&lpar;转&rpar;</a>
					<div>
						  新来老大年前开会说:各位同学,公司业务越来越重,未来几年要成倍增长......,我们要梳理出一套新架构,才能更好的支持N万用户.....,以后升职加薪当上....打败..... 想想还有点小激动呢 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/MyK91kz.html" rel="bookmark" class="title">LOL设计师解释中国龙熬兴为何还不出</a>
					<div>
						&amp;http://www.aliyun.com/zixun/aggregation/37954.html&quot;&gt;nbsp; [科技讯]5月15日信息,在诸多国服LOL玩家的询问中,近 ...					</div>
				</div>
			</div>
			
		</div>
	</div>

	<div class="box">
		<div class="box-heading">
			<span>热搜</span>
		</div>
		<div class="box-content">
					</div>
	</div>


</aside>
      </div>
    </div>
    <!-- /.container -->

    <div id="copyright">
      <div class="pull-left">
        &#169; 2024 iVAN        | info#iamivan.net        | 11 q. 0.029 s.
      </div>

    </div>

  </div><!--/.wrapper -->


  <!-- <script src="/assets/js/jquery.js"></script>
  <script src="/assets/js/bootstrap.min.js"></script> -->
  <div style=" display: none ";>
  </div>

<script src="/assets/js/echo.js"></script>
<script>
    echo.init({
      offset: 100,
      throttle: 250,
      unload: false,
      callback: function (element, op) {
        console.log(element, 'has been', op + 'ed')
      }
    });
    </script>
</body>
</html>
